I have OS X 10.5.8 with a PowerPC processor. Is there anything I can upgrade to such as 10.6 or 10.7?

  • Asked by fn from Seattle
Mac OS X 10.6 Snow Leopard

Mac OS X 10.6 Snow Leopard

Product No Longer Available

6 Answers from the Community

  • Best Answer:

    Unfortunately, no.

    Beginning with OS 10.6, the PowerPC processor is not supported.
    An Intel processor must be used.

    • Answered by Ewald W from Vancouve
  • No .. 10.6 and up require an Intel processor.

    • Answered by Tm P from Charlotte
  • No, the version of OS X you have is the most up to date version that will run on a Mac with a PowerPC processor.

    • Answered by Robert T from Chatham
  • 10.5.8 is the latest OS for Powerbooks and PowerMacs.
    Snow Leopard or later does not work on these models.

    • Answered by Brian S B from Los Angeles
  • I am in the same boat. My Mac OS X 10.5.8 with a Power PC Processor too, Like to upgrade to OS X Mavericks. Can,t do.

    • Answered by Bob T from Etobicoke
  • Lynne - as its been said the answer is no - suggestion make a donation of this system to a worthwhile charity and then get a new Mac - you will be satisfied that you donated your hardware and happy with the new computer.

    • Answered by John A from Santa Clara